Bug 1313952 - Smartanalysis on openstack and /tmp sizing [NEEDINFO]
Smartanalysis on openstack and /tmp sizing
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: cfme-future
Assigned To: Red Hat CloudForms Documentation
Satyajit Bulage
openstack:smartstate
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 11:45 EST by kpichard
Modified: 2018-05-22 01:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 17:41:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sbulage: needinfo? (dajohnso)


Attachments (Terms of Use)

  None (edit)
Description kpichard 2016-03-02 11:45:55 EST
Description of problem:
When you plug an openstack provider to CloudForms you are almost not able to run smartanalysis by default.

When I do it with the provided image I have not enough space as it copy a snapshot on the vm to /tmp but by default the sizing almost permit nothing to scan as tmp has only 1G.

[root@cf-smartproxy-01 ~]# lvs
  LV               VG      Attr       LSize   Pool Origin Data%  Meta%  Move Log Cpy%Sync Convert
  lv_home          VG-CFME -wi-ao----   1,00g                                                    
  lv_log           VG-CFME -wi-ao----  10,00g                                                    
  lv_os            VG-CFME -wi-ao----   4,57g                                                    
  lv_repo          VG-CFME -wi-ao----  10,00g                                                    
  lv_swap          VG-CFME -wi-ao----   9,25g                                                    
  lv_tmp           VG-CFME -wi-ao----   1,00g                                                    
  lv_var           VG-CFME -wi-ao----   2,00g                                                    
  lv_var_log       VG-CFME -wi-ao----   1,00g                                                    
  lv_var_log_audit VG-CFME -wi-ao---- 512,00m  
 
There is several possibilities here, provide a storage to upload snapshot to permit analysis or increase size of /tmp/ by default to permit smartanalysis.


Version-Release number of selected component (if applicable): 5.5.4.2


How reproducible:

every time


Steps to Reproduce:
1. Plug openstack to cloudforms
2. run smartanalysis

Actual results:

SmartAnalysis didn't work as by default /tmp size is 1G 

Expected results:

The default size of /tmp is encreased, a documentation precise to encrease /tmp or permit attach an external storage for scan. 

Additional info:
Comment 2 Rich Oliveri 2016-03-02 12:08:56 EST
The downstream version of the appliance gives you the option to add an additional virtual disk for temp storage. This is accomplished through the appliance's console menu, after the new virtual disk has been added to the appliance. Can you try this?
Comment 3 kpichard 2016-03-03 09:14:23 EST
Hello Rich,

Thanks for you answer, It works with the attachment of the volume :

/dev/vdb1                                20G     17G  3,5G  83% /var/www/miq_tmp

Even if the path isn't the same, it has worked.

I have found only this on documentation :
https://access.redhat.com/documentation/en/red-hat-cloudforms/version-4.0/installing-cloudforms-on-vmware-vsphere/

Saying :
Use Extend Temporary Storage to add temporary storage to the appliance. The appliance formats an unpartitioned disk attached to the appliance host and mounts it at /var/www/miq_tmp. The appliance uses this temporary storage directory to perform certain image download functions.

I think we need to highlight this because it's not clear that it's important and used for smartanalysis.
Comment 4 Dave Johnson 2016-12-06 11:51:59 EST
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.
Comment 6 Dave Johnson 2017-07-13 21:27:59 EDT
Satyajit, is this explained better in more detailed docs around smartstate analysis?
Comment 8 Satyajit Bulage 2017-07-24 10:38:33 EDT
(In reply to Dave Johnson from comment #6)
> Satyajit, is this explained better in more detailed docs around smartstate
> analysis?

More explanation required as it is unclear that which "The appliance uses this temporary storage directory to perform certain image download functions."

Note You need to log in before you can comment on or make changes to this bug.